﻿using CastleAbstraction.Proxies;
using System;

namespace CastleAbstraction
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Wait for service to start up and press any key");
            Console.ReadKey();
            ProxyFactory.UseLocalExecutionMode = true;
            ProxyFactory.Url = "http://localhost:3333/";
            ProxyFactory.RegisterTypes();
            var proxy = ProxyFactory.CreateProxy<ITestService>();
            var returnValue = proxy.DoWork("testing");
            Console.WriteLine("Service returned:...... " + returnValue);
            Console.WriteLine("Press any key to quit");
            Console.ReadKey();
        }


    }
}
